Index: trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro
===================================================================
--- trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro	(revision 134)
+++ trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro	(revision 150)
@@ -3,81 +3,80 @@
 ;------------------------------------------------------------
 ;+
-; NAME: calibre
-;
-; PURPOSE:a partir d''un rapport d''aspect et des valeurs (en ligne de
-; characteres) des differentes marges, calcul posfenetre et posbar qui
-; servent a placer le dessin et la barre de couleur grace a
-; !p.position sur une feuille ou
-; sur une sortie ecran dont la fenetre a les memes proportions
-;
-; CATEGORY: positionnement du graphe
-;
-; CALLING SEQUENCE:
-;     calibre, rapportyx,marge,margebar, smalldraw,posfenetre, posbar 
-;
-; INPUTS:
-;	rapportyx: rapport d''echelle entre la longueur de l''axe des
-;	y et celle des x. par ex pour une carte xy,
-;       rapportyx=(lat2-lat1)/(lon2-lon1)
-;
-;	marge: vecteur de 4 elements contenant la taille des marges a gauche,
-; a droite, en bas et en haut devant entourer le graphe. tout est
-; mesure en lignes de characteres
-;
-;	margebar: vecteur de 4 elements contenant la taille des marges a gauche,
-; a droite, en bas et -ATTENTION- le dernier element est cette fois-ci
-; la position de coin en haut a droite, devant entourer la barre de
-; couleur. tout est mesure en lignes de characteres
-;
-;       smalldraw: 2 possiblites
-;             un vecteur de 4 elements donnant (en portrait ou
-; en landscape) la position de cadre ds lequel doit rentrer le
-; dessin. cette position est donne par les coordonnes des 2 coins du
-; cadre: en bas a gauche et en haut a droite. elle s''exprime tjs
-; (pour un postscript ou une sortie ecran) en cm, l''origine etant le
-; coin en bas a gauche.
-;             un vecteur de 3 elements donnant le nombre de colonnes a
-; faire de le dessin, le nombre de lignes et enfin le numero de la
-; case que doit occuper le dessin (cf matlab). par ex pour faire 6
-; dessin en 2 colonnes et 3 lignes et occuper la 4 eme case, small=[2,3,4]
-;
-; KEYWORD PARAMETERS:
-;
-;	/REMPLI:oblige le dessin a occuper l'espace maximum definit
-; par smalldraw sans resperter le rapport y sur x.
-;
-;	YXASPECT: force le rapport y sur x a prendre la valeur
-; rapportyx*yxaspect. ce mot cle est utile ds deux cas: 
-;   1) yxaspect=1 : oblige rapportyx a etre bien respecte sinon
-;         calibre se reserve le droit de changer un peu celui-ci dans
-;         le cas ou le rapport d''aspect de small dessin est trop
-;         different de celui de smalldraw.
-;   2) yxaspect=n : multiplie par n le rapport d''aspect donne par
-;         defaut.par ex ds plt, rapportyx est calcule pour que le
-;         repere soit orthonorme, pour avoir un repere ou l''axe des y
-;         est 2 fois plus dilate que celui des y YXASPECT=2
+; @file_comments
+; From a rapport of aspect and values (in line of character) of different margins, 
+; it calculate POSFENETRE and POSBAR which serve to place the drawing and the color 
+; bar thanks to !p.position on a leaf or a screen output whose the window has the same 
+; proportion.
+;
+; @categories 
+; graphics
+;
+; 
+; @param RAPPORTYX {in}{required}
+; Scale rapport between the lenght of the y axis and the x one. For example, 
+; for an xy map: RAPPORTYX=(lat2-lat1)/(lon2-lon1)
+;
+; @param MARGE {in}{required}
+; Vector made of 4 elements containing the size of the left, right, up and 
+; bottom margin having to surround the graph. All is measured in lines of characters.
+;
+; @param MARGEBAR {in}{required}
+; Vector made of 4 elements containing the size of the left, right and bottom 
+; margin and -BEWARE- the last element is this time the positio of the right up 
+; corner, having to surround the color bar. All is measured in lines of characters.
+;
+; @param SMALLDRAW {in}{required}
+; 2 possibilities:
+;    It is vector made of 4 elements giving (in portrait or landscape) the position 
+; of the frame in which the drawing must go in. This position is given by coordinates 
+; of the 2 corners of the frame: in the left bottom and the right up. It is always 
+; (for a postscript or a screen output) express in cm, the origin being the 
+; left bottom corner.
+;    It is a vector made of 3 elements giving the number of column to be done in the 
+; drawing, the number of line and the number of the case the number have to occupy 
+; (see matlab). For example, to do 6 drawing in 3 columns and 2 lines and occupy 
+; the 4th case, small=[2,3,4]
+;
+; @keyword REMPLI
+; Force the drawing to occupy the biggest possible place defined by 
+; SMALLDRAW without respect the rapport y on x.
+;
+; @keyword YXASPECT
+; Force the rapport y on x to take the value RAPPORTYX*YXASPECT. 
+; This keyword can be used in 2 cases:
+;   1) YXASPECT=1 : force RAPPORTYX to be respected otherwise, Calibre take the 
+;   initiative to change it a little inthe case of the aspect rapport of SMALL 
+;   is too different of the one of SMALLDRAW. 
+;   2) YXASPECT=n : multiply by n the aspect rapport given by default. 
+;   For example in plt, RAPPORTYX is calculated to the reference be orthonormal,
+;   to have a reference where the y axis is 2 time bigger than the x one, YXASPECT=2.
 ;	
-;       PORTRAIT et LANDSCAPE: mots cles plus utilises mais tjs fonctionnels
-;
-; OUTPUTS:
-;       posfenetre: un vecteur de 4 elements contenant la position de
-;       cadre contenant les legendes + le graphe en coordonnes
-;       normalises. Rq: pour positionner le dessin il faut apres
-;       l''appelle de calibre faire !p.position=posfenetre
-;
-;       posbar: cf posfentre mais pour la barre de couleur. meme
-;       remarque pour positionner la barre de couleur, !p.position=posbar
-;
-; COMMON BLOCKS:
-;	common.pro		
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @keyword PORTRAIT       
+; Force the page or the window to be in standing position.
+; 
+; @keyword LANDSCAPE       
+; Force the page or the window on the screen to be in lenthened position.
+; 
+; @keyword _EXTRA
+; Used to pass your keywords
+;
+; @param POSFENETRE
+; It is a vector made of 4 elements containing the position of the frame 
+; containing captions + the graph in normalized coordinates. 
+; Comment: to position the drawing, we have to do !p.position=POSFENETRE 
+; after the call of calibre.
+;
+; @param POSBAR
+; See POSFENTRE but for the color bar. Same comment to position the color bar, !p.position=POSBAR
+;
+; @uses
+; common.pro
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;			11/12/98
+;
+; @version
+; $Id$
 ;-
 ;------------------------------------------------------------
@@ -98,5 +97,5 @@
 ;---------------------------------------------------------
 ;------------------------------------------------------------
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; For key_performance
 ;-------------------------------------------------------------
    if keyword_set(portrait) then key_portrait=1
@@ -112,5 +111,5 @@
     mipgsz = min(page_size, max = mapgsz)
 ;------------------------------------------------------------
-; choix de Landscape ou Portrait
+; choice of Landscape or Portrait
 ;------------------------------------------------------------
    if n_elements(key_portrait) eq 0  then begin
@@ -119,5 +118,5 @@
    endif
 ;-------------------------------------------------------------
-; si smalldraw est compte comme ds matlab
+; If smalldraw is count like in matlab
 ;-------------------------------------------------------------
    if n_elements(smalldraw) EQ 3  then begin
@@ -136,5 +135,5 @@
    endif
 ;------------------------------------------------------------
-; determination de la taille des characteres (!p.charsize)
+; determination of the size of characters (!p.charsize)
 ;------------------------------------------------------------
    nombre_de_mots_ds_titre = 60.
@@ -143,5 +142,5 @@
    if !p.charsize gt 1 then !p.charsize=1
 ;------------------------------------------------------------
-; transfert de marge en cm
+; transfert of margin in cm
 ;------------------------------------------------------------
    cm=1.*!d.x_px_cm
@@ -149,5 +148,5 @@
    margebar=1.* margebar * !d.y_ch_size * !p.charsize / cm
 ;------------------------------------------------------------
-; definition de la portion de feuille ou on dessine
+; definition of the part of the leaf where we draw
 ;------------------------------------------------------------
    if key_portrait eq 0 then begin
@@ -162,6 +161,6 @@
    else rapportmax=1.*(small-marge[2]-marge[0])/(big-marge[3]-marge[1])
 ;------------------------------------------------------------
-; si yxaspect n'est pas specifie on modifie la valeur de rapportyx pour que
-; ca colle un peu plus aux proportions de la feuille
+; If YXASPECT is not specified, we modify the value of RAPPORTYX 
+; to it match better with the leaf's proportions.
 ;------------------------------------------------------------
    if rapportyx le rapportmax then begin
@@ -183,5 +182,5 @@
    endelse
 ;------------------------------------------------------------
-; dans le cas ou on fait un Landscape:
+; in the case where we do a Landscape:
 ;------------------------------------------------------------
    if key_portrait eq 0 then begin       
@@ -214,5 +213,5 @@
    endif $
 ;------------------------------------------------------------
-; dans le cas ou on fait un portrait:
+; In the case where we do a portrait:
 ;------------------------------------------------------------
    else begin       
Index: trunk/SRC/ToBeReviewed/POSTSCRIPT/ps.pro
===================================================================
--- trunk/SRC/ToBeReviewed/POSTSCRIPT/ps.pro	(revision 134)
+++ trunk/SRC/ToBeReviewed/POSTSCRIPT/ps.pro	(revision 150)
@@ -3,31 +3,21 @@
 ;------------------------------------------------------------
 ;+
-; NAME:ps
+; @file_comments
+; Redirect the content of the graphic window in a postscript, 
+; by redoing commands in the postscript's environment.
 ;
-; PURPOSE:redirige le contenu de la fenetre graphique ds un postcript,
-; en reeffectuant les commandes ds l''environnement postscript.
+; @categories
+; utilities
+; 
+; @restrictions
+; We use journal which allows to stock commands we pass. 
 ;
-; CATEGORY:pour faire un ps
+; @restrictions
+; Can break down if some wierd commands are passed...
+; Comment: we erase Syntax error, Illegal characters, comapatible
+; with oups, text_box... 
 ;
-; CALLING SEQUENCE:@ps
-;
-; INPUTS:
-;
-; KEYWORD PARAMETERS:
-;;
-; OUTPUTS:
-;
-; COMMON BLOCKS:
-;
-; SIDE EFFECTS: on utilise journal qui perment de stoker les commandes
-; que l''on passe. 
-;
-; RESTRICTIONS:peut planter si des commandes bizarres sont passees...
-; rq: on efface les Syntax error, les Illegal character, commapatible
-; avec oups, text_box... 
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       5/3/1999
 ;-
@@ -36,33 +26,33 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; il faut fermer le journal!
+; We have to close the journal!
 ;------------------------------------------------------------
-;   if !journal EQ 0 then begin
-;      print, 'Il n''y a pas de journal ouvert !!'
-;      GOTO, sortie
+   if !journal EQ 0 then begin
+      print, 'Il n''y a pas de journal ouvert !!'
+      GOTO, sortie
 journal
 ;------------------------------------------------------------
-; on complete le journal ...
+; we complete the journal ...
 ;------------------------------------------------------------
-; on recupere le journal sous la forme d''un vecteur de string:
+; We recuperate the journal as a vector of string :
 vectjournal = getfile(myuniquetmpdir+'idlsave.pro')
-;FOR i = 0,n_elements(vectjournal)-1 DO  print, vectjournal[i]
+FOR i = 0,n_elements(vectjournal)-1 DO  print, vectjournal[i]
 ;------------------------------------------------------------
-; on coupe la derniere ligne qui est @ps
+; We cut the last line which is \@ps
 ;------------------------------------------------------------
 IF strpos(vectjournal[n_elements(vectjournal)-1],'@ps') ne -1 then $
   vectjournal = vectjournal[0:n_elements(vectjournal)-2 ]
 ;------------------------------------------------------------
-; on le corrige si besoin est...
+; We correct it if needed...
 ;------------------------------------------------------------
 for i = 0, n_elements(vectjournal)-1 do $
  if strpos(vectjournal[i],'text_box' ) EQ -1 then $
  vectjournal[i] = strtrim(strcompress(vectjournal[i]), 2)
-;FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
-;2 lignes sont identiques ??
+FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
+;2 lines are identical ??
 for i = 0, n_elements(vectjournal)-2 do $
  if vectjournal[i] EQ vectjournal[i+1] then vectjournal[i] = ' '
-;FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
-
+FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
+;
 for i = 0, n_elements(vectjournal)-1 do BEGIN & $
  if strpos(vectjournal[i],'oups' ) NE -1 $
@@ -70,5 +60,5 @@
  OR strpos(vectjournal[i],'Illegal character' ) NE -1 $
  then BEGIN vectjournal[i] = ' ' & vectjournal[i-1] = ' ' & endif & endfor
-;FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
+FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
 for i = 0, n_elements(vectjournal)-1 do BEGIN & $
  if strpos(strtrim(vectjournal[i], 1),'retall' ) EQ 0 $
@@ -79,5 +69,5 @@
  OR strpos(vectjournal[i],'print' ) NE -1 $
  then  vectjournal[i] = ' ' & endfor
-;FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
+FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
 for i = 0, n_elements(vectjournal)-1 do BEGIN & $
  if strpos(strtrim(vectjournal[i], 1),'plt' ) NE -1 THEN BEGIN & $
@@ -86,5 +76,5 @@
  vectjournal[i] = vectjournal[i]+',/noerase' & $
  ENDIF & endfor
-;FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
+FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
 for i = 0, n_elements(vectjournal)-1 do BEGIN & $
  if strpos(vectjournal[i],'text_box' ) NE -1 then $
@@ -92,20 +82,19 @@
  vectjournal[i] = vectjournal[i]+strmid(vectjournal[i+1], 1) & endfor
 
-; on le complete pour le transformer en une procedure equivalente a plein2dessin
-;   vectjournal = ['reinitplt, /z,/invert' $
+; We complete it to transform it in a procedure equivalent to plein2dessin
+   vectjournal = ['reinitplt, /z,/invert' $
    vectjournal = ['openps, infowidget= infowidget' $
                   , vectjournal $
                   ,'closeps, infowidget= infowidget' $
                   ,'printps' ]
-;FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
-; on reecrit idlsave.pro
+FOR i = 0,n_elements(vectjournal)-1 DO print, vectjournal[i]
+; We rewrite idlsave.pro
    putfile, myuniquetmpdir+'idlsave.pro', vectjournal
-; applique idlsave
+; apply idlsave
    cd,  current = curdir
    cd, myuniquetmpdir
 @idlsave   
    cd, curdir
-; on reouvre le journal et on y met les elements de
-; vectjournal sauf les 2 premieres lignes et les 3 dernieres lignes
+; We reopen the journal and we put in it all elements of vectjournal but the 2 first and the 3 last line.
 journal, myuniquetmpdir+'idlsave.pro'
 for i = 2, n_elements(vectjournal)-3 DO $