Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 151)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 152)
@@ -64,9 +64,6 @@
   ELSE type = widget_info(actionid, /combobox_gettext)
   case type of
-    'plt':procedure = 'plt'
-    'pltz':procedure = 'pltz'
     'pltz diag up':procedure = 'pltz'
     'pltz diag dn':procedure = 'pltz'
-    'pltt':procedure = 'pltt'
     'pltt diag up':procedure = 'pltt'
     'pltt diag dn':procedure = 'pltt'
@@ -81,4 +78,5 @@
     'z':procedure = 'plt1d'
     't':procedure = 'pltt'
+    ELSE:procedure = type
   endcase
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.pro	(revision 151)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.pro	(revision 152)
@@ -57,4 +57,7 @@
   !y = (extractatt(top_uvalue, 'yenvs'))[numdessin]
 ;------------------------------------------------------------
+  actionid = widget_info(event.top, find_by_uname = 'action')
+  type = widget_info(actionid, /combobox_gettext)
+;------------------------------------------------------------
 ; Change the domain box:
 ;------------------------------------------------------------
@@ -63,5 +66,15 @@
   y = [coor[1, 0], coor[1, 1]]
   domainid = widget_info(event.top, find_by_uname = 'domain')
-  boxzoom = [x, y]
+  IF type EQ 'pltv' THEN BEGIN 
+    currentfile = extractatt(top_uvalue, 'currentfile')
+    listgrid = (*(extractatt(top_uvalue, 'fileparameters'))[currentfile]).listgrid
+    listvar = (*(extractatt(top_uvalue, 'fileparameters'))[currentfile]).listvar
+    vlstid = widget_info(event.top, find_by_uname = 'varlist')
+    namevar = widget_info(vlstid, /combobox_gettext)
+    indexvar = where(listvar EQ namevar)
+    vargrid = strupcase(listgrid[indexvar])
+    grille, -1, glam, gphi
+    boxzoom = [glam[x[0], y[0]], glam[x[1], y[1]], gphi[x[0], y[0]], gphi[x[1], y[1]]]
+  ENDIF ELSE boxzoom = [x, y]
 ; Do we have to pass the boxzoom in indexes ???
   currentplot = (extractatt(top_uvalue, 'smallin'))[2]-1
@@ -88,7 +101,4 @@
   widget_control, domainid, set_value = boxzoom
 ;
-;------------------------------------------------------------
-  actionid = widget_info(event.top, find_by_uname = 'action')
-  type = widget_info(actionid, /combobox_gettext)
   case uval.press of
     1:BEGIN
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro	(revision 151)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro	(revision 152)
@@ -25,5 +25,6 @@
     'datafilename':BEGIN
       widget_control, event.id, get_value = filename
-      filename = isafile(filename = filename[0], iodir = iodir, /onlync, title = 'data file name')
+      filename = isafile(filename = filename[0], /onlync $
+                         , title = 'data file name', /tryfind, /fully_qualify_path)
       if size(filename, /type) NE 7 then BEGIN 
         widget_control, event.id, set_value = ''
@@ -33,5 +34,5 @@
     END
     'browse datafilename':BEGIN
-      filename = isafile(iodir = iodir, /onlync, title = 'data file name')
+      filename = isafile(/onlync, title = 'data file name', /tryfind, /fully_qualify_path)
       if size(filename, /type) NE 7 then return
       widget_control, widget_info(event.handler, find_by_uname = 'datafilename') $
@@ -102,5 +103,6 @@
       datafilename = datafilename[0]
       IF datafilename EQ '' THEN return
-      datafilename = isafile(filename = datafilename, iodir = iodir, /onlync, title = 'data file name')
+      datafilename = isafile(filename = datafilename, /tryfind, /onlync $
+                             , title = 'data file name', /fully_qualify_path)
       if size(datafilename, /type) NE 7 then BEGIN 
         widget_control, widget_info(event.handler, find_by_uname = 'datafilename') $
@@ -266,5 +268,5 @@
           , izmindta:izmindta, izmaxdta:izmaxdta}
 
-  res3 = scanfile(res.datafilename, iodir = iodir, _extra = ex)
+  res3 = scanfile(res.datafilename, _extra = ex)
   if size(res3, /type) NE 8 then return,  -1
 
Index: trunk/SRC/ToBeReviewed/WIDGET/xxx.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 151)
+++ trunk/SRC/ToBeReviewed/WIDGET/xxx.pro	(revision 152)
@@ -229,5 +229,5 @@
   xoff = 0
   yoff = 0
-  pltlst = ['plt' $
+  pltlst = ['plt', 'pltv' $
             , 'pltz', 'pltz diag up', 'pltz diag dn' $
             , 'pltt', 'pltt diag up', 'pltt diag dn' $