Index: trunk/SRC/Documentation/xmldoc/mini_notice.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/mini_notice.xml	(revision 149)
+++ trunk/SRC/Documentation/xmldoc/mini_notice.xml	(revision 157)
@@ -334,5 +334,8 @@
 <sect3 id="initmethodtxt"><title>Grid initalization method</title>
   <para>
-    +++
+    By default, "automatic grid construction with initncdf.pro" is checked.
+  </para>
+  <para>
+    But you can choose an other grid by checking "grid construction with other IDL batch or procedure"  
   </para>
 </sect3>
@@ -358,4 +361,13 @@
     Once these two lines have been completed, click on <guibutton>let's go</guibutton>.
   </para>
+  <para>For example, we choose the mask "tst_initlev". Compare the result with "automatic grid construction with initncdf.pro" checked. Cf <xref linkend="fig_xxx_0404"/> </para>
+<para>
+  <figure id="fig_xxx_0103">
+      <title>Oceania at 125 metters of depth with a mask</title>
+	<imageobject>
+	  <imagedata fileref="figpng/xxx_0103.png"/>
+	</imageobject>
+  </figure>
+</para>
 </sect3>
 </sect2>
@@ -440,12 +452,8 @@
 <para>
     <figure id="fig_xxx_0202">
-      <title></title>
-      <mediaobjectco>
-	<imageobjectco>
+      <title>Differents plot types avaibles</title>
 	  <imageobject>
 	    <imagedata fileref="figpng/xxx_0202.png"/>
 	  </imageobject>
-	</imageobjectco>
-      </mediaobjectco>
     </figure>
 </para>
@@ -461,12 +469,8 @@
 <para>
     <figure id="fig_xxx_0203">
-      <title></title>
-      <mediaobjectco>
-	<imageobjectco>
+      <title>The File menu</title>
 	  <imageobject>
 	    <imagedata fileref="figpng/xxx_0203.png"/>
 	  </imageobject>
-	</imageobjectco>
-      </mediaobjectco>
     </figure>
 </para>
@@ -489,12 +493,8 @@
 <para>
     <figure id="fig_xxx_0204">
-      <title></title>
-      <mediaobjectco>
-	<imageobjectco>
+      <title>The Save As menu</title>
 	  <imageobject>
 	    <imagedata fileref="figpng/xxx_0204.png"/>
 	  </imageobject>
-	</imageobjectco>
-      </mediaobjectco>
     </figure>
 </para>
@@ -503,12 +503,18 @@
 <itemizedlist>
 <listitem><para><guimenuitem>Postscript:</guimenuitem> to save in Postscript format</para></listitem>
-<listitem><para><guimenuitem>Animations:</guimenuitem> to create an animation from the XXX window.
+<listitem><para><guimenuitem>Animated gif:</guimenuitem> to create an animation from the XXX window.
 Careful, the creation of an animation is only possible if none of the
 plots have a time axis, and if the plots are all on the same time base
 (calendar).  On the other hand, animations of horizontal and vertical
 plots, with different color palettes (for those not on an X-terminal),
-are possible.</para></listitem>
-<listitem><para><guimenuitem>Image:</guimenuitem> to save a gif of the XXX graphics window.</para></listitem>
-<listitem><para><guimenuitem>Script:</guimenuitem> to save the command history that has created the
+are possible.
+<note>
+<para>
+the creation of animations has a tendency to saturate the video
+memory of X-terminals, crashing the entire program...</para>
+</note>
+</para></listitem>
+<listitem><para><guimenuitem>Gif:</guimenuitem> to save a gif of the XXX graphics window.</para></listitem>
+<listitem><para><guimenuitem>IDL procedure:</guimenuitem> to save the command history that has created the
 plot.  For example if I save the commands in <filename>xxx_figure.pro</filename>, I can
 then launch a new IDL session and type:
@@ -528,20 +534,18 @@
 </screen>
 will then create a Postscript file of the figure.</para><para></para></listitem>
-<listitem><para><guimenuitem>Prompt:</guimenuitem> lists in the IDL window the command history that
+<listitem><para><guimenuitem>RESTORE kwd of xxx:</guimenuitem></para></listitem>
+<listitem><para><guimenuitem>Print to prompt:</guimenuitem> lists in the IDL window the command history that
 created the last plot.  Useful primarily for debugging...</para></listitem>
 </itemizedlist>
 </para>
 </sect4>
+<para>Test the various possibilities in the <guimenu>Save As</guimenu> menu.</para>
 <sect4 id="flagsubmenu"><title><guisubmenu>Flag options</guisubmenu> submenu</title>
 <para>
     <figure id="fig_xxx_0205">
-      <title></title>
-      <mediaobjectco>
-	<imageobjectco>
+      <title>The Flag Option menu</title>
 	  <imageobject>
 	    <imagedata fileref="figpng/xxx_0205.png"/>
 	  </imageobject>
-	</imageobjectco>
-      </mediaobjectco>
     </figure>
 </para>
@@ -563,4 +567,12 @@
 </para>
 </sect4>
+<para>
+Test the various possibilities in the <guimenu>Flag options</guimenu> menu.
+</para>
+<caution>
+<para>
+Careful, a selected option remains selected until it is reclicked.
+</para>
+</caution>
 </sect3>
 
@@ -573,12 +585,17 @@
 <para>
     <figure id="fig_xxx_0206">
-      <title></title>
-      <mediaobjectco>
-	<imageobjectco>
+      <title>Number of Column</title>
 	  <imageobject>
 	    <imagedata fileref="figpng/xxx_0206.png"/>
 	  </imageobject>
-	</imageobjectco>
-      </mediaobjectco>
+    </figure>
+</para>
+<para>For example: For 2 cln and 2 row. For explanations, see further.</para>
+<para>
+    <figure id="fig_xxx_0206a">
+      <title>A frame with several graphics</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0206a.png"/>
+	  </imageobject>
     </figure>
 </para>
@@ -589,12 +606,8 @@
 <para>
     <figure id="fig_xxx_0207">
-      <title></title>
-      <mediaobjectco>
-	<imageobjectco>
+      <title>differents Variables avaible</title>
 	  <imageobject>
 	    <imagedata fileref="figpng/xxx_0207.png"/>
 	  </imageobject>
-	</imageobjectco>
-      </mediaobjectco>
     </figure>
 </para>
@@ -605,12 +618,8 @@
 <para>
     <figure id="fig_xxx_0208">
-      <title></title>
-      <mediaobjectco>
-	<imageobjectco>
+      <title>List of open files</title>
 	  <imageobject>
 	    <imagedata fileref="figpng/xxx_0208.png"/>
 	  </imageobject>
-	</imageobjectco>
-      </mediaobjectco>
     </figure>
 </para>
@@ -618,8 +627,56 @@
 
 <sect3 id="commandtexttxt"><title><guimenuitem>Command text</guimenuitem></title>
-<para>To specify the computation you want to do 
-+++ donner plus d'infos et des examples
+<para>To specify the computation you want to do. 
+Examples: </para>
+<sect4 id="withoutcommandtexttxt"><title><guimenuitem> Without any Command Text</guimenuitem></title>
+<para>
+    <figure id="fig_xxx_0209">
+      <title>Graphic by default</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0209.png"/>
+	  </imageobject>
+    </figure>
+</para>
+</sect4>
+
+<sect4 id="withrealcont"><title><guimenuitem> With the command text /realcont</guimenuitem></title>
+<para>
+    <figure id="fig_xxx_0210a">
+      <title>Command text area</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0210a.png"/>
+	  </imageobject>
+    </figure>
+</para>
+<para>
+    <figure id="fig_xxx_0210">
+      <title>Graphic with the command text "/realcont"</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0210.png"/>
+	  </imageobject>
+    </figure>
+</para>
+</sect4>
+
+<sect4 id="withmaportho"><title><guimenuitem>With the command text /realcont+ map=[90,0,0]+ /ortho+ cell_fill=2.</guimenuitem></title>
+<para>
+    <figure id="fig_xxx_0211a">
+      <title>Command text area with the right syntax</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0211a.png"/>
+	  </imageobject>
+    </figure>
+</para>
+<para>
+    <figure id="fig_xxx_0211">
+      <title>Polar Projection</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0211.png"/>
+	  </imageobject>
+    </figure>
+</para>
+</sect4>
+
 <note><para>In the default case, the name given to a field is of no importance.</para></note>
-</para>
 </sect3>
 
@@ -628,5 +685,14 @@
 The calendar is made up of two droplists, which allow specification of
 two dates, the beginning and end of a time series, or the period over
-which to average before plotting.
+which to average before plotting.</para>
+<para>Example: The first plot is during January.</para>
+<para>         The second plot is from January to December.</para>
+<para>
+    <figure id="fig_xxx_0301">
+      <title>Graphic with 2 different period of study</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0301.png"/>
+	  </imageobject>
+    </figure>
 </para>
 </sect3>
@@ -639,11 +705,102 @@
 plot, and in meters for a vertical plot.
 </para>
-</sect3>
+
+<sect4 id="withoutdomainspecification"><title><guimenuitem>Without any domain specification</guimenuitem></title>
+<para>
+    <figure id="fig_xxx_0210">
+      <title>Domain by default</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0210.png"/>
+	  </imageobject>
+    </figure>
+</para>
+</sect4>
+
+<sect4 id="withzoom"><title><guimenuitem>With a zoom on Oceania</guimenuitem></title>
+<para>We can zoom, between 0 and 1 meter of depth, on the Oceania, by playing with the part Domdef, with this configuration</para>
+<para>
+    <figure id="fig_xxx_0401">
+      <title>Change Domain area</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0401.png"/>
+	  </imageobject>
+    </figure>
+</para>
+<para>This configuration give us:</para>
+<para>
+    <figure id="fig_xxx_0402">
+      <title>Graphic with a specified domain</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0402.png"/>
+	  </imageobject>
+    </figure>
+</para>
+</sect4>
+</sect3>
+
+<sect4 id="depthspecificationtxt"><title><guimenuitem>With the specification of the depth</guimenuitem></title>
+<para>If we want to see the temperature of the ocean between 125 and 126 meters of depth</para>
+<para>
+    <figure id="fig_xxx_0403">
+      <title>Change depth area</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0403.png"/>
+	  </imageobject>
+    </figure>
+</para>
+<para>
+    <figure id="fig_xxx_0404">
+      <title>Oceania at 125 metters of depth without a mask</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0404.png"/>
+	  </imageobject>
+    </figure>
+</para>
+<para>As you can see, at this depth, we can see the difference between the continent at the surface and the real goegraphy of the terrain. If we want to see only the terrain at the specified depth, we have to put a mask. Cf <xref linkend="fig_xxx_0103"/></para>  
+<para>You can define precisely the depth you want to see:</para>
+<para>
+    <figure id="fig_xxx_0405">
+      <title>The Precise Depth menu</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0405.png"/>
+	  </imageobject>
+    </figure>
+</para>
+</sect4>
+
 
 <sect3 id="specificationstxt"><title>specify your plot</title>
+<sect4 id="minmaxintervaltxt"><title><guimenuitem>Specify the min, the max and the interval</guimenuitem></title>
 <para>
 You can specify the min, max, and contour interval by filling out the
-provided boxes! For the color palette, you can either specify the name
+provided boxes!
+</para>
+<para>
+You can restore configuration by default by pressing the "default" button.
+</para>
+<para>
+    <figure id="fig_xxx_0501">
+      <title>Specification area</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0501.png"/>
+	  </imageobject>
+    </figure>
+</para>
+</sect4>
+
+<sect4 id="colortxt"><title><guimenuitem>Specify the palette to be used</guimenuitem></title>
+<para>For the color palette, you can either specify the name
 or go search for one among the palettes available.
+</para>
+<para>
+    <figure id="fig_xxx_0502">
+      <title>The Color menu</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0502.png"/>
+	  </imageobject>
+    </figure>
+</para>
+</sect4>
+
 <para>
 The "keywords" window allows specification of all desired
@@ -651,6 +808,6 @@
 <filename>plt.pro</filename>, <filename>pltt.pro</filename>, <filename>pltz.pro</filename>,
 <filename>plt1d.pro</filename>, or those of contour, plot, or all other programs that are
-used. Cf <xref linkend="example1"/>
-</para></para>
+used. Cf <xref linkend="commandtexttxt"/> 
+</para>
 </sect3>
 
@@ -658,60 +815,7 @@
 </sect2>
 </sect1>
-<sect1 id="examples"><title>Concrete examples of XXX in practice</title>
-
-<sect2 id="example1"><title>First plots</title>
-
-<para>
-One single file, one single plot per page
-</para>
-<para>
-Click on OK.
-</para>
-<para>
-Test the various basic functions: change the dates, the zoom, the
-field...</para>
-<para>
-Specify the min, max, and contour interval in the provided boxes.</para>
-<para>
-Add some keywords in the "keywords:" box, for example: </para>
-<blockquote>
-<para>
-/nocontour, /carte
-</para>
-</blockquote>
-<para>
-or the keywords for a northern hortographic polar projection:</para>
-<blockquote>
-<para>
-/nocontour, map=[90,0,0], /horto
-</para>
-</blockquote>
-<para>
-Test the various possibilities in the <guimenu>Save As</guimenu> menu.</para>
-<note>
-<para>
-the creation of animations has a tendency to saturate the video
-memory of X-terminals, crashing the entire program...</para>
-</note>
-<para>
-Test the various possibilities in the <guimenu>Flag options</guimenu> menu.
-</para>
-<caution>
-<para>
-Careful, a selected option remains selected until it is reclicked.
-</para>
-</caution>
-</sect2>
-
-<sect2 id="example2"><title>Work with more than one file</title>
-<para>
-Open some other files and go between them by selecting them from the
-file list...  Note that the different widgets (calendar, domain, ...)
-follow the different file characteristics.
-</para>
-</sect2>
-
-<sect2 id="mouse"><title>Mouse actions in the graphics window on a horizontal plot</title>
-
+<sect1 id="mouseactions"><title>Mouse Actions</title>
+
+<sect2 id="mouse"><title>In the graphics window on a horizontal plot</title>
 <para>
 Select a domain and select the horizontal plot (<constant>plt</constant>), vertical plot
@@ -748,4 +852,12 @@
       </mediaobjectco>
     </figure>
+<para>
+    <figure id="fig_xxx_0701">
+      <title>Horizontal Plot</title>
+ 	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0701.png"/>
+	  </imageobject>
+    </figure>
+</para>
 
 </para></listitem>
@@ -761,4 +873,12 @@
       </mediaobjectco>
     </figure>
+<para>
+    <figure id="fig_xxx_0702">
+      <title>Vertical Plot</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0702.png"/>
+	  </imageobject>
+    </figure>
+</para>
 
 </para></listitem>
@@ -774,4 +894,12 @@
       </mediaobjectco>
     </figure>
+<para>
+    <figure id="fig_xxx_0703">
+      <title>Common hovmoeller for xt and yt cuts</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0703.png"/>
+	  </imageobject>
+    </figure>
+</para>
 
 </para></listitem>
@@ -811,4 +939,12 @@
       </mediaobjectco>
     </figure>
+<para>
+    <figure id="fig_xxx_0801">
+      <title>The reference frame is selected</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0801.png"/>
+	  </imageobject>
+    </figure>
+</para>
     
 </para></listitem>
@@ -824,5 +960,12 @@
       </mediaobjectco>
     </figure>
-    
+<para>
+    <figure id="fig_xxx_0802">
+      <title>The target frame is selected</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0802.png"/>
+	  </imageobject>
+    </figure>
+</para>
 </para></listitem>
 <listitem><para>
@@ -863,4 +1006,12 @@
 <abbrev>DCM</abbrev> in frame 4, <abbrev>LCR</abbrev> on the plot in frame 1, to create a hovmoeller in frame 4.
 </para>
+<para>
+    <figure id="fig_xxx_0901">
+      <title>Frame with four plot</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0901.png"/>
+	  </imageobject>
+    </figure>
+</para>
 </step>
 </procedure>
@@ -878,4 +1029,12 @@
 Add the keyword
 <literallayout>/nocontour</literallayout>
+<para>
+    <figure id="fig_xxx_0902a">
+      <title>Command text area</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0902a.png"/>
+	  </imageobject>
+    </figure>
+</para>
 </para>
 </step>
@@ -883,4 +1042,12 @@
 <para>
 click <guibutton>OK</guibutton>, and the plot is redone.
+</para>
+<para>
+    <figure id="fig_xxx_0902">
+      <title>The fourth plot with the keyword "nocontour"</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0902.png"/>
+	  </imageobject>
+    </figure>
 </para>
 </step>
@@ -908,5 +1075,12 @@
 <para>
 click on <guibutton>OK</guibutton>
-, and voilà, the new plot.
+</para>
+<para>
+    <figure id="fig_xxx_0903">
+      <title>Frame with five plot</title>
+	  <imageobject>
+	    <imagedata fileref="figpng/xxx_0903.png"/>
+	  </imageobject>
+    </figure>
 </para>
 </step>
@@ -914,5 +1088,5 @@
 </sect2>
 </sect1>
-<sect1 id="crash"><title>How to quit when it crashes</title>
+<sect1 id="crash"><title>What should I do when it breakdown</title>
 
 <para>
@@ -926,12 +1100,10 @@
 </para></listitem>
 <listitem>
-<para><abbrev>DCR</abbrev> to erase the problem frame
+<para><abbrev>DCR</abbrev> to erase the problem frame. 
 </para>
 </listitem>
-<listitem><para>press the <guibutton>clear</guibutton> button
-</para></listitem>
-<listitem><para>change the orientation of the plot
-</para></listitem>
-<listitem><para>quit XXX cleanly using <guibutton>quit</guibutton> from the <guimenu>File</guimenu> menu
+<listitem><para>change the orientation of the plot by pressing Flag options -> Portrait/Landscape. Cf <xref linkend="flagsubmenu"/>
+</para></listitem>
+<listitem><para>quit XXX cleanly using <guibutton>quit</guibutton> from the <guimenu>File</guimenu> menu. Cf <xref linkend="filesubmenu"/>
 </para></listitem>
 </orderedlist>