Index: trunk/SRC/Documentation/xmldoc/faqsaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/faqsaxo.html	(revision 162)
+++ trunk/SRC/Documentation/xmldoc/faqsaxo.html	(revision 162)
@@ -0,0 +1,378 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+<meta name="generator" content=
+"HTML Tidy for Mac OS X (vers 1 September 2005), see www.w3.org">
+<meta http-equiv="Content-Type" content=
+"text/html; charset=us-ascii">
+<title>Frequently Asked questions about SAXO</title>
+<link rel="stylesheet" href="style.css" type="text/css">
+<link rel="stylesheet" href="saxo.css" type="text/css">
+<meta name="generator" content="DocBook XSL Stylesheets V1.70.1">
+<meta name="keywords" content="idl, SAXO, FAQ">
+</head>
+<body bgcolor="white" text="black" link="#0000FF" vlink="#840084"
+alink="#0000FF">
+<div class="article" lang="en">
+<div class="titlepage">
+<div>
+<div>
+<h2 class="title"><a name="d0e2" id="d0e2"></a>Frequently Asked
+questions about SAXO</h2>
+</div>
+<div>
+<div class="authorgroup">
+<div class="author">
+<h3 class="author"><span class="firstname">S&eacute;bastien</span>
+<span class="surname">Masson</span> <code class=
+"email">&lt;<a href="mailto:Sebastien.Masson_at_locean-ipsl.upmc.fr">Sebastien.Masson_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
+</div>
+<div class="author">
+<h3 class="author"><span class="firstname">Fran&ccedil;oise</span>
+<span class="surname">Pinsard</span> <code class=
+"email">&lt;<a href=
+"mailto:Francoise.Pinsard_at_locean-ipsl.upmc.fr">Francoise.Pinsard_at_locean-ipsl.upmc.fr</a>&gt;</code></h3>
+</div>
+</div>
+</div>
+<div><span class="pubdate">svn Id of xml source file : $Id:
+faqsaxo.xml 161 2006-08-29 09:07:50Z pinsard $<br>
+<br></span></div>
+<div>
+<div class="revhistory">
+<table border="1" width="100%" summary="Revision history">
+<tr>
+<th align="left" valign="top" colspan="2"><b>Revision
+History</b></th>
+</tr>
+<tr>
+<td align="left">Revision 0.0</td>
+<td align="left">August 2006</td>
+</tr>
+<tr>
+<td align="left" colspan="2">First draft</td>
+</tr>
+</table>
+</div>
+</div>
+</div>
+<hr></div>
+<div class="qandaset">
+<dl>
+<dt>1. <a href="#intro">Introduction</a></dt>
+<dt>2. <a href="#general">General</a></dt>
+<dd>
+<dl>
+<dt>2.1. <a href="#d0e59">What is SAXO ?</a></dt>
+<dt>2.2. <a href="#d0e69">How can I get help ?</a></dt>
+<dt>2.3. <a href="#d0e79">How do I get SAXO ?</a></dt>
+<dt>2.4. <a href="#d0e89">What is the current version of SAXO
+?</a></dt>
+<dt>2.5. <a href="#d0e96">On what systems does SAXO run ?</a></dt>
+<dt>2.6. <a href="#d0e103">Does SAXO works wih GDL instead of IDL
+?</a></dt>
+<dt>2.7. <a href="#d0e112">When is the next version of SAXO due out
+?</a></dt>
+<dt>2.8. <a href="#d0e119">How can I find if a routine to do what I
+want already exists ?</a></dt>
+<dt>2.9. <a href="#d0e126">How should SAXO be cited or acknowledged
+in publication ?</a></dt>
+</dl>
+</dd>
+<dt>3. <a href="#technical">Technical questions</a></dt>
+<dd>
+<dl>
+<dt>3.1. <a href="#d0e136">Is there on-line help for SAXO
+?</a></dt>
+</dl>
+</dd>
+<dt>4. <a href="#Contributors">Contributors</a></dt>
+<dd>
+<dl>
+<dt>4.1. <a href="#d0e146">Is there an SAXO Style Guide available
+?</a></dt>
+<dt>4.2. <a href="#d0e187">Is there any trouble with IDLdoc
+?</a></dt>
+</dl>
+</dd>
+</dl>
+<table border="0" summary="Q and A Set">
+<col align="left" width="1%">
+<tbody>
+<tr class="qandadiv">
+<td align="left" valign="top" colspan="2">
+<h3 class="title"><a name="intro" id="intro"></a>1.
+Introduction</h3>
+</td>
+</tr>
+<tr class="toc">
+<td align="left" valign="top" colspan="2"></td>
+</tr>
+<tr class="toc">
+<td align="left" valign="top" colspan="2">
+<p>This is a list of Frequently Asked Questions about SAXO.</p>
+<p>This list is roughly divided into categories: general questions,
+technical questions, contributors questions.</p>
+<p>Suggestions for corrections or additional sections are welcome
+-- please email them to <code class="email">&lt;<a href=
+"mailto:saxo-dev@forge.ipsl.jussieu.fr">saxo-dev@forge.ipsl.jussieu.fr</a>&gt;</code>.</p>
+</td>
+</tr>
+<tr class="qandadiv">
+<td align="left" valign="top" colspan="2">
+<h3 class="title"><a name="general" id="general"></a>2.
+General</h3>
+</td>
+</tr>
+<tr class="toc">
+<td align="left" valign="top" colspan="2">
+<dl>
+<dt>2.1. <a href="#d0e59">What is SAXO ?</a></dt>
+<dt>2.2. <a href="#d0e69">How can I get help ?</a></dt>
+<dt>2.3. <a href="#d0e79">How do I get SAXO ?</a></dt>
+<dt>2.4. <a href="#d0e89">What is the current version of SAXO
+?</a></dt>
+<dt>2.5. <a href="#d0e96">On what systems does SAXO run ?</a></dt>
+<dt>2.6. <a href="#d0e103">Does SAXO works wih GDL instead of IDL
+?</a></dt>
+<dt>2.7. <a href="#d0e112">When is the next version of SAXO due out
+?</a></dt>
+<dt>2.8. <a href="#d0e119">How can I find if a routine to do what I
+want already exists ?</a></dt>
+<dt>2.9. <a href="#d0e126">How should SAXO be cited or acknowledged
+in publication ?</a></dt>
+</dl>
+</td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e59" id=
+"d0e59"></a><a name="d0e60" id="d0e60"></a><b>2.1.</b></td>
+<td align="left" valign="top">
+<p>What is SAXO ?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top">
+<p>see document <a href=
+"../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatissaxo.html?format=raw"
+target="_top">What is SAXO</a>.</p>
+</td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e69" id=
+"d0e69"></a><a name="d0e70" id="d0e70"></a><b>2.2.</b></td>
+<td align="left" valign="top">
+<p>How can I get help ?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top">
+<p>see Support in document <a href=
+"../../saxo/browser/trunk/SRC/Documentation/xmldoc/main.html?format=raw"
+target="_top">Main page of SAXO</a>.</p>
+</td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e79" id=
+"d0e79"></a><a name="d0e80" id="d0e80"></a><b>2.3.</b></td>
+<td align="left" valign="top">
+<p>How do I get SAXO ?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top">
+<p>see document <a href=
+"../../saxo/browser/trunk/SRC/Documentation/xmldoc/getsaxo.html?format=raw"
+target="_top">Get SAXO</a>.</p>
+</td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e89" id=
+"d0e89"></a><a name="d0e90" id="d0e90"></a><b>2.4.</b></td>
+<td align="left" valign="top">
+<p>What is the current version of SAXO ?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top"></td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e96" id=
+"d0e96"></a><a name="d0e97" id="d0e97"></a><b>2.5.</b></td>
+<td align="left" valign="top">
+<p>On what systems does SAXO run ?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top"></td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e103" id=
+"d0e103"></a><a name="d0e104" id="d0e104"></a><b>2.6.</b></td>
+<td align="left" valign="top">
+<p>Does SAXO works wih GDL instead of IDL ?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top">
+<p>Not yet.</p>
+</td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e112" id=
+"d0e112"></a><a name="d0e113" id="d0e113"></a><b>2.7.</b></td>
+<td align="left" valign="top">
+<p>When is the next version of SAXO due out ?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top"></td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e119" id=
+"d0e119"></a><a name="d0e120" id="d0e120"></a><b>2.8.</b></td>
+<td align="left" valign="top">
+<p>How can I find if a routine to do what I want already exists
+?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top"></td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e126" id=
+"d0e126"></a><a name="d0e127" id="d0e127"></a><b>2.9.</b></td>
+<td align="left" valign="top">
+<p>How should SAXO be cited or acknowledged in publication ?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top"></td>
+</tr>
+<tr class="qandadiv">
+<td align="left" valign="top" colspan="2">
+<h3 class="title"><a name="technical" id="technical"></a>3.
+Technical questions</h3>
+</td>
+</tr>
+<tr class="toc">
+<td align="left" valign="top" colspan="2">
+<dl>
+<dt>3.1. <a href="#d0e136">Is there on-line help for SAXO
+?</a></dt>
+</dl>
+</td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e136" id=
+"d0e136"></a><a name="d0e137" id="d0e137"></a><b>3.1.</b></td>
+<td align="left" valign="top">
+<p>Is there on-line help for SAXO ?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top"></td>
+</tr>
+<tr class="qandadiv">
+<td align="left" valign="top" colspan="2">
+<h3 class="title"><a name="Contributors" id="Contributors"></a>4.
+Contributors</h3>
+</td>
+</tr>
+<tr class="toc">
+<td align="left" valign="top" colspan="2">
+<dl>
+<dt>4.1. <a href="#d0e146">Is there an SAXO Style Guide available
+?</a></dt>
+<dt>4.2. <a href="#d0e187">Is there any trouble with IDLdoc
+?</a></dt>
+</dl>
+</td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e146" id=
+"d0e146"></a><a name="d0e147" id="d0e147"></a><b>4.1.</b></td>
+<td align="left" valign="top">
+<p>Is there an SAXO Style Guide available ?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top">
+<p>There is a template for header <a href=
+"../new_header.txt?format=raw" target="_top">new_header.txt</a>
+which can be parsed by <span class="application">IDLdoc</span>.</p>
+<p>This file can be added in <span class="application">Emacs</span>
+configuration <span class="guimenu">IDLWAVE</span> &rarr;
+<span class="guimenuitem">Templates</span> &rarr; <span class=
+"guimenuitem">Doc Header</span> (<span><strong class=
+"shortcut"><span class="keysym">C-c</span>-<span class=
+"keysym">C-h</span></strong></span>). in your <code class=
+"filename">${HOME}/.emacs</code> like this :</p>
+<pre class="programlisting">
+(add-hook 'idlwave-mode-hook
+  (function
+    (lambda ()
+     (setq idlwave-file-header '("<em class=
+"replaceable"><code>SAXO_basedirectory</code></em>/SAXO_DIR/SRC/Documentation/new_header.txt")
+    ))))
+</pre></td>
+</tr>
+<tr class="question">
+<td align="left" valign="top"><a name="d0e187" id=
+"d0e187"></a><a name="d0e188" id="d0e188"></a><b>4.2.</b></td>
+<td align="left" valign="top">
+<p>Is there any trouble with <span class=
+"application">IDLdoc</span> ?</p>
+</td>
+</tr>
+<tr class="answer">
+<td align="left" valign="top"></td>
+<td align="left" valign="top">
+<p>Yes, there are some :</p>
+<div class="itemizedlist">
+<ul type="disc">
+<li>
+<p><code class="literal">\</code> in <code class=
+"filename">*.pro</code> are not written in <code class=
+"filename">*.html</code>. They must be escaped by an other
+<code class="literal">\</code> or you can choose an other
+character.</p>
+</li>
+<li>
+<p><span class="guimenu">Search</span> does'nt handle characters
+like <code class="literal">-</code> and <code class=
+"literal">|</code>.</p>
+</li>
+<li>
+<p>Paragraphs of <code class="filename">*.pro</code> headers are
+shown with a proportinal font in the <code class=
+"literal">html</code> release.</p>
+<p>If you need to draw some small figure like grid cell, you can
+encapsulate between the block to be shown in constant font between
+<code class="literal">; &lt;fixe&gt;</code> and <code class=
+"literal">; &lt;/fixe&gt;</code></p>
+</li>
+</ul>
+</div>
+<p>Unfortunatly, these troubles may not be fixed because the author
+does not have anymore the opportunity to work on his own work.</p>
+<p>Bugs can be submitted to IDL but we do not expect answers !</p>
+</td>
+</tr>
+</tbody>
+</table>
+</div>
+</div>
+</body>
+</html>
Index: trunk/SRC/Documentation/xmldoc/main.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/main.html	(revision 161)
+++ trunk/SRC/Documentation/xmldoc/main.html	(revision 162)
@@ -37,5 +37,5 @@
 </div>
 <div><span class="pubdate">svn Id of xml source file : $Id:
-main.xml 158 2006-08-28 13:17:11Z smasson $<br>
+main.xml 161 2006-08-29 09:07:50Z pinsard $<br>
 <br></span></div>
 <div>
@@ -178,5 +178,5 @@
 </li>
 <li>
-<p>FAQ (to be created...)</p>
+<p><a href="faqsaxo.html?format=raw" target="_top">FAQ</a></p>
 </li>
 </ul>