Index: trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.html	(revision 157)
+++ trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.html	(revision 163)
@@ -733,14 +733,14 @@
 	<dl>
 	  
-	  <dt><p><a href="#_CW_BGROUP_SETV">CW_BGROUP_SETV<span class="result">, id, value</span></a></p><dt>
+	  <dt><p><a href="#_cw_bgroup_setv">cw_bgroup_setv<span class="result">, id, value</span></a></p><dt>
 	  <dd></dd>	
 	  
-	  <dt><p><a href="#_CW_BGROUP_GETV"><span class="result">result = </span>CW_BGROUP_GETV(<span class="result">id, value</span>)</a></p><dt>
+	  <dt><p><a href="#_cw_bgroup_getv"><span class="result">result = </span>cw_bgroup_getv(<span class="result">id, value</span>)</a></p><dt>
 	  <dd></dd>	
 	  
-	  <dt><p><a href="#_CW_BGROUP_EVENT"><span class="result">result = </span>CW_BGROUP_EVENT(<span class="result">ev</span>)</a></p><dt>
+	  <dt><p><a href="#_cw_bgroup_event"><span class="result">result = </span>cw_bgroup_event(<span class="result">ev</span>)</a></p><dt>
 	  <dd></dd>	
 	  
-	  <dt><p><a href="#_CW_BGROUP"><span class="result">result = </span>CW_BGROUP(<span class="result">parent, names</span>, BUTTON_UVALUE=<span class="result">BUTTON_UVALUE</span>, COLUMN=<span class="result">COLUMN</span>, EVENT_FUNCT=<span class="result">EVENT_FUNCT</span>, EXCLUSIVE=<span class="result">EXCLUSIVE</span>, FONT=<span class="result">FONT</span>, FRAME=<span class="result">FRAME</span>, IDS=<span class="result">IDS</span>, LABEL_TOP=<span class="result">LABEL_TOP</span>, LABEL_LEFT=<span class="result">LABEL_LEFT</span>, MAP=<span class="result">MAP</span>, NONEXCLUSIVE=<span class="result">NONEXCLUSIVE</span>, NO_RELEASE=<span class="result">NO_RELEASE</span>, RETURN_ID=<span class="result">RETURN_ID</span>, RETURN_INDEX=<span class="result">RETURN_INDEX</span>, RETURN_NAME=<span class="result">RETURN_NAME</span>, ROW=<span class="result">ROW</span>, SCROLL=<span class="result">SCROLL</span>, SET_VALUE=<span class="result">SET_VALUE</span>, SPACE=<span class="result">SPACE</span>, TAB_MODE=<span class="result">TAB_MODE</span>, UVALUE=<span class="result">UVALUE</span>, XOFFSET=<span class="result">XOFFSET</span>, XPAD=<span class="result">XPAD</span>, XSIZE=<span class="result">XSIZE</span>, X_SCROLL_SIZE=<span class="result">X_SCROLL_SIZE</span>, YOFFSET=<span class="result">YOFFSET</span>, YPAD=<span class="result">YPAD</span>, YSIZE=<span class="result">YSIZE</span>, Y_SCROLL_SIZE=<span class="result">Y_SCROLL_SIZE</span>, UNAME=<span class="result">UNAME</span>)</a></p><dt>
+	  <dt><p><a href="#_cw_bgroup"><span class="result">result = </span>cw_bgroup(<span class="result">parent, names</span>, BUTTON_UVALUE=<span class="result">array</span>, COLUMN=<span class="result">COLUMN</span>, EVENT_FUNCT=<span class="result">EVENT_FUNCT</span>, EXCLUSIVE=<span class="result">EXCLUSIVE</span>, FONT=<span class="result">FONT</span>, FRAME=<span class="result">FRAME</span>, IDS=<span class="result">IDS</span>, LABEL_TOP=<span class="result">LABEL_TOP</span>, LABEL_LEFT=<span class="result">LABEL_LEFT</span>, MAP=<span class="result">MAP</span>, NONEXCLUSIVE=<span class="result">NONEXCLUSIVE</span>, NO_RELEASE=<span class="result">NO_RELEASE</span>, RETURN_ID=<span class="result">RETURN_ID</span>, RETURN_INDEX=<span class="result">RETURN_INDEX</span>, RETURN_NAME=<span class="result">RETURN_NAME</span>, ROW=<span class="result">ROW</span>, SCROLL=<span class="result">SCROLL</span>, SET_VALUE=<span class="result">SET_VALUE</span>, SPACE=<span class="result">SPACE</span>, TAB_MODE=<span class="result">TAB_MODE</span>, UVALUE=<span class="result">UVALUE</span>, XOFFSET=<span class="result">XOFFSET</span>, XPAD=<span class="result">XPAD</span>, XSIZE=<span class="result">XSIZE</span>, X_SCROLL_SIZE=<span class="result">X_SCROLL_SIZE</span>, YOFFSET=<span class="result">YOFFSET</span>, YPAD=<span class="result">YPAD</span>, YSIZE=<span class="result">YSIZE</span>, Y_SCROLL_SIZE=<span class="result">Y_SCROLL_SIZE</span>, UNAME=<span class="result">UNAME</span>)</a></p><dt>
 	  <dd></dd>	
 	  	
@@ -752,12 +752,12 @@
 	
 
-	<div class="routine_details" id="_CW_BGROUP_SETV">
-
-	  <h2><a class="top" href="#container">top</a>CW_BGROUP_SETV <span class="categories">
+	<div class="routine_details" id="_cw_bgroup_setv">
+
+	  <h2><a class="top" href="#container">top</a>cw_bgroup_setv <span class="categories">
  Compound widget
  </span></h2>
 	
 	  <p class="header">
-	    CW_BGROUP_SETV<span class="result">, <a href="#_CW_BGROUP_SETV_param_id">id</a>, <a href="#_CW_BGROUP_SETV_param_value">value</a></span></p>
+	    cw_bgroup_setv<span class="result">, <a href="#_cw_bgroup_setv_param_id">id</a>, <a href="#_cw_bgroup_setv_param_value">value</a></span></p>
 	
 	  <div class="comments"></div>
@@ -771,5 +771,5 @@
 	
 	    
-	    <h4 id="_CW_BGROUP_SETV_param_id">id&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_setv_param_id">id&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -786,5 +786,5 @@
 </div>
 	    
-	    <h4 id="_CW_BGROUP_SETV_param_value">value&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_setv_param_value">value&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -812,5 +812,5 @@
 	  
 	  <h4>Version</h4><div class="preformat"> 
- $Id$</div>
+ $Id: cw_bgroup.pro 157 2006-08-21 09:01:50Z navarro $</div>
 	  <h4>History</h4><div class="preformat">
  
@@ -836,4 +836,10 @@
 	  
 	
+	  <h3>Statistics</h3>
+	  <table class="statistics">
+	    <tr><td>McCabe cyclic</td><td>           5</td></tr>
+	    <tr><td>McCabe essential</td><td>           1</td></tr>
+	    <tr><td>McCabe modular design</td><td>           1</td></tr>
+	  </table>
 	  
 	
@@ -841,12 +847,12 @@
 	
 
-	<div class="routine_details" id="_CW_BGROUP_GETV">
-
-	  <h2><a class="top" href="#container">top</a>CW_BGROUP_GETV <span class="categories">
+	<div class="routine_details" id="_cw_bgroup_getv">
+
+	  <h2><a class="top" href="#container">top</a>cw_bgroup_getv <span class="categories">
 
  </span></h2>
 	
 	  <p class="header">
-	    <span class="result">result = </span>CW_BGROUP_GETV(<span class="result"><a href="#_CW_BGROUP_GETV_param_id">id</a>, <a href="#_CW_BGROUP_GETV_param_value">value</a></span>)</p>
+	    <span class="result">result = </span>cw_bgroup_getv(<span class="result"><a href="#_cw_bgroup_getv_param_id">id</a>, <a href="#_cw_bgroup_getv_param_value">value</a></span>)</p>
 	
 	  <div class="comments"></div>
@@ -860,5 +866,5 @@
 	
 	    
-	    <h4 id="_CW_BGROUP_GETV_param_id">id&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_getv_param_id">id&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -875,5 +881,5 @@
 </div>
 	    
-	    <h4 id="_CW_BGROUP_GETV_param_value">value&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_getv_param_value">value&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -901,5 +907,5 @@
 	  
 	  <h4>Version</h4><div class="preformat"> 
- $Id$</div>
+ $Id: cw_bgroup.pro 157 2006-08-21 09:01:50Z navarro $</div>
 	  <h4>History</h4><div class="preformat">
  
@@ -925,4 +931,10 @@
 	  
 	
+	  <h3>Statistics</h3>
+	  <table class="statistics">
+	    <tr><td>McCabe cyclic</td><td>           6</td></tr>
+	    <tr><td>McCabe essential</td><td>           1</td></tr>
+	    <tr><td>McCabe modular design</td><td>           1</td></tr>
+	  </table>
 	  
 	
@@ -930,12 +942,12 @@
 	
 
-	<div class="routine_details" id="_CW_BGROUP_EVENT">
-
-	  <h2><a class="top" href="#container">top</a>CW_BGROUP_EVENT <span class="categories">
+	<div class="routine_details" id="_cw_bgroup_event">
+
+	  <h2><a class="top" href="#container">top</a>cw_bgroup_event <span class="categories">
 
  </span></h2>
 	
 	  <p class="header">
-	    <span class="result">result = </span>CW_BGROUP_EVENT(<span class="result"><a href="#_CW_BGROUP_EVENT_param_ev">ev</a></span>)</p>
+	    <span class="result">result = </span>cw_bgroup_event(<span class="result"><a href="#_cw_bgroup_event_param_ev">ev</a></span>)</p>
 	
 	  <div class="comments"></div>
@@ -949,5 +961,5 @@
 	
 	    
-	    <h4 id="_CW_BGROUP_EVENT_param_ev">ev&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_event_param_ev">ev&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -975,5 +987,5 @@
 	  
 	  <h4>Version</h4><div class="preformat"> 
- $Id$</div>
+ $Id: cw_bgroup.pro 157 2006-08-21 09:01:50Z navarro $</div>
 	  <h4>History</h4><div class="preformat">
  
@@ -999,4 +1011,10 @@
 	  
 	
+	  <h3>Statistics</h3>
+	  <table class="statistics">
+	    <tr><td>McCabe cyclic</td><td>           9</td></tr>
+	    <tr><td>McCabe essential</td><td>           4</td></tr>
+	    <tr><td>McCabe modular design</td><td>           4</td></tr>
+	  </table>
 	  
 	
@@ -1004,12 +1022,12 @@
 	
 
-	<div class="routine_details" id="_CW_BGROUP">
-
-	  <h2><a class="top" href="#container">top</a>CW_BGROUP <span class="categories">
+	<div class="routine_details" id="_cw_bgroup">
+
+	  <h2><a class="top" href="#container">top</a>cw_bgroup <span class="categories">
  Compound widget
 </span></h2>
 	
 	  <p class="header">
-	    <span class="result">result = </span>CW_BGROUP(<span class="result"><a href="#_CW_BGROUP_param_parent">parent</a>, <a href="#_CW_BGROUP_param_names">names</a></span>, <a href="#_CW_BGROUP_keyword_BUTTON_UVALUE">BUTTON_UVALUE</a>=<span class="result">BUTTON_UVALUE</span>, <a href="#_CW_BGROUP_keyword_COLUMN">COLUMN</a>=<span class="result">COLUMN</span>, <a href="#_CW_BGROUP_keyword_EVENT_FUNCT">EVENT_FUNCT</a>=<span class="result">EVENT_FUNCT</span>, <a href="#_CW_BGROUP_keyword_EXCLUSIVE">EXCLUSIVE</a>=<span class="result">EXCLUSIVE</span>, <a href="#_CW_BGROUP_keyword_FONT">FONT</a>=<span class="result">FONT</span>, <a href="#_CW_BGROUP_keyword_FRAME">FRAME</a>=<span class="result">FRAME</span>, <a href="#_CW_BGROUP_keyword_IDS">IDS</a>=<span class="result">IDS</span>, <a href="#_CW_BGROUP_keyword_LABEL_TOP">LABEL_TOP</a>=<span class="result">LABEL_TOP</span>, <a href="#_CW_BGROUP_keyword_LABEL_LEFT">LABEL_LEFT</a>=<span class="result">LABEL_LEFT</span>, <a href="#_CW_BGROUP_keyword_MAP">MAP</a>=<span class="result">MAP</span>, <a href="#_CW_BGROUP_keyword_NONEXCLUSIVE">NONEXCLUSIVE</a>=<span class="result">NONEXCLUSIVE</span>, <a href="#_CW_BGROUP_keyword_NO_RELEASE">NO_RELEASE</a>=<span class="result">NO_RELEASE</span>, <a href="#_CW_BGROUP_keyword_RETURN_ID">RETURN_ID</a>=<span class="result">RETURN_ID</span>, <a href="#_CW_BGROUP_keyword_RETURN_INDEX">RETURN_INDEX</a>=<span class="result">RETURN_INDEX</span>, <a href="#_CW_BGROUP_keyword_RETURN_NAME">RETURN_NAME</a>=<span class="result">RETURN_NAME</span>, <a href="#_CW_BGROUP_keyword_ROW">ROW</a>=<span class="result">ROW</span>, <a href="#_CW_BGROUP_keyword_SCROLL">SCROLL</a>=<span class="result">SCROLL</span>, <a href="#_CW_BGROUP_keyword_SET_VALUE">SET_VALUE</a>=<span class="result">SET_VALUE</span>, <a href="#_CW_BGROUP_keyword_SPACE">SPACE</a>=<span class="result">SPACE</span>, <a href="#_CW_BGROUP_keyword_TAB_MODE">TAB_MODE</a>=<span class="result">TAB_MODE</span>, <a href="#_CW_BGROUP_keyword_UVALUE">UVALUE</a>=<span class="result">UVALUE</span>, <a href="#_CW_BGROUP_keyword_XOFFSET">XOFFSET</a>=<span class="result">XOFFSET</span>, <a href="#_CW_BGROUP_keyword_XPAD">XPAD</a>=<span class="result">XPAD</span>, <a href="#_CW_BGROUP_keyword_XSIZE">XSIZE</a>=<span class="result">XSIZE</span>, <a href="#_CW_BGROUP_keyword_X_SCROLL_SIZE">X_SCROLL_SIZE</a>=<span class="result">X_SCROLL_SIZE</span>, <a href="#_CW_BGROUP_keyword_YOFFSET">YOFFSET</a>=<span class="result">YOFFSET</span>, <a href="#_CW_BGROUP_keyword_YPAD">YPAD</a>=<span class="result">YPAD</span>, <a href="#_CW_BGROUP_keyword_YSIZE">YSIZE</a>=<span class="result">YSIZE</span>, <a href="#_CW_BGROUP_keyword_Y_SCROLL_SIZE">Y_SCROLL_SIZE</a>=<span class="result">Y_SCROLL_SIZE</span>, <a href="#_CW_BGROUP_keyword_UNAME">UNAME</a>=<span class="result">UNAME</span>)</p>
+	    <span class="result">result = </span>cw_bgroup(<span class="result"><a href="#_cw_bgroup_param_parent">parent</a>, <a href="#_cw_bgroup_param_names">names</a></span>, <a href="#_cw_bgroup_keyword_BUTTON_UVALUE">BUTTON_UVALUE</a>=<span class="result">array</span>, <a href="#_cw_bgroup_keyword_COLUMN">COLUMN</a>=<span class="result">COLUMN</span>, <a href="#_cw_bgroup_keyword_EVENT_FUNCT">EVENT_FUNCT</a>=<span class="result">EVENT_FUNCT</span>, <a href="#_cw_bgroup_keyword_EXCLUSIVE">EXCLUSIVE</a>=<span class="result">EXCLUSIVE</span>, <a href="#_cw_bgroup_keyword_FONT">FONT</a>=<span class="result">FONT</span>, <a href="#_cw_bgroup_keyword_FRAME">FRAME</a>=<span class="result">FRAME</span>, <a href="#_cw_bgroup_keyword_IDS">IDS</a>=<span class="result">IDS</span>, <a href="#_cw_bgroup_keyword_LABEL_TOP">LABEL_TOP</a>=<span class="result">LABEL_TOP</span>, <a href="#_cw_bgroup_keyword_LABEL_LEFT">LABEL_LEFT</a>=<span class="result">LABEL_LEFT</span>, <a href="#_cw_bgroup_keyword_MAP">MAP</a>=<span class="result">MAP</span>, <a href="#_cw_bgroup_keyword_NONEXCLUSIVE">NONEXCLUSIVE</a>=<span class="result">NONEXCLUSIVE</span>, <a href="#_cw_bgroup_keyword_NO_RELEASE">NO_RELEASE</a>=<span class="result">NO_RELEASE</span>, <a href="#_cw_bgroup_keyword_RETURN_ID">RETURN_ID</a>=<span class="result">RETURN_ID</span>, <a href="#_cw_bgroup_keyword_RETURN_INDEX">RETURN_INDEX</a>=<span class="result">RETURN_INDEX</span>, <a href="#_cw_bgroup_keyword_RETURN_NAME">RETURN_NAME</a>=<span class="result">RETURN_NAME</span>, <a href="#_cw_bgroup_keyword_ROW">ROW</a>=<span class="result">ROW</span>, <a href="#_cw_bgroup_keyword_SCROLL">SCROLL</a>=<span class="result">SCROLL</span>, <a href="#_cw_bgroup_keyword_SET_VALUE">SET_VALUE</a>=<span class="result">SET_VALUE</span>, <a href="#_cw_bgroup_keyword_SPACE">SPACE</a>=<span class="result">SPACE</span>, <a href="#_cw_bgroup_keyword_TAB_MODE">TAB_MODE</a>=<span class="result">TAB_MODE</span>, <a href="#_cw_bgroup_keyword_UVALUE">UVALUE</a>=<span class="result">UVALUE</span>, <a href="#_cw_bgroup_keyword_XOFFSET">XOFFSET</a>=<span class="result">XOFFSET</span>, <a href="#_cw_bgroup_keyword_XPAD">XPAD</a>=<span class="result">XPAD</span>, <a href="#_cw_bgroup_keyword_XSIZE">XSIZE</a>=<span class="result">XSIZE</span>, <a href="#_cw_bgroup_keyword_X_SCROLL_SIZE">X_SCROLL_SIZE</a>=<span class="result">X_SCROLL_SIZE</span>, <a href="#_cw_bgroup_keyword_YOFFSET">YOFFSET</a>=<span class="result">YOFFSET</span>, <a href="#_cw_bgroup_keyword_YPAD">YPAD</a>=<span class="result">YPAD</span>, <a href="#_cw_bgroup_keyword_YSIZE">YSIZE</a>=<span class="result">YSIZE</span>, <a href="#_cw_bgroup_keyword_Y_SCROLL_SIZE">Y_SCROLL_SIZE</a>=<span class="result">Y_SCROLL_SIZE</span>, <a href="#_cw_bgroup_keyword_UNAME">UNAME</a>=<span class="result">UNAME</span>)</p>
 	
 	  <div class="comments"></div>
@@ -1023,5 +1041,5 @@
 	
 	    
-	    <h4 id="_CW_BGROUP_param_parent">parent&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_param_parent">parent&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      <span class="attr">in</span>
 	      
@@ -1038,11 +1056,11 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_param_names">names&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-	      
-	      
-	      
+	    <h4 id="_cw_bgroup_param_names">names&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+	      
+	      
+	      <span class="attr">type:</span> <span class="value">string array</span>
 	      
 	      
@@ -1061,11 +1079,11 @@
 	    <h3>Keywords</h3>
 	    
-	    <h4 id="_CW_BGROUP_keyword_BUTTON_UVALUE">BUTTON_UVALUE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
+	    <h4 id="_cw_bgroup_keyword_BUTTON_UVALUE">BUTTON_UVALUE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      <span class="attr">type:</span> <span class="value">array</span>
 	      
 	      
@@ -1077,5 +1095,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_COLUMN">COLUMN&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_COLUMN">COLUMN&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1093,5 +1111,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_EVENT_FUNCT">EVENT_FUNCT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_EVENT_FUNCT">EVENT_FUNCT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1111,5 +1129,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_EXCLUSIVE">EXCLUSIVE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_EXCLUSIVE">EXCLUSIVE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1127,5 +1145,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_FONT">FONT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_FONT">FONT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1144,5 +1162,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_FRAME">FRAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_FRAME">FRAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1159,5 +1177,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_IDS">IDS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_IDS">IDS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1175,5 +1193,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_LABEL_TOP">LABEL_TOP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_LABEL_TOP">LABEL_TOP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1190,5 +1208,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_LABEL_LEFT">LABEL_LEFT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_LABEL_LEFT">LABEL_LEFT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1205,5 +1223,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_MAP">MAP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_MAP">MAP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1221,5 +1239,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_NONEXCLUSIVE">NONEXCLUSIVE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_NONEXCLUSIVE">NONEXCLUSIVE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1237,5 +1255,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_NO_RELEASE">NO_RELEASE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_NO_RELEASE">NO_RELEASE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1252,5 +1270,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_RETURN_ID">RETURN_ID&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_RETURN_ID">RETURN_ID&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1268,5 +1286,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_RETURN_INDEX">RETURN_INDEX&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_RETURN_INDEX">RETURN_INDEX&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1285,5 +1303,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_RETURN_NAME">RETURN_NAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_RETURN_NAME">RETURN_NAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1301,5 +1319,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_ROW">ROW&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_ROW">ROW&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1317,5 +1335,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_SCROLL">SCROLL&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_SCROLL">SCROLL&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1333,5 +1351,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_SET_VALUE">SET_VALUE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_SET_VALUE">SET_VALUE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1351,5 +1369,5 @@
 </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_SPACE">SPACE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_SPACE">SPACE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1368,5 +1386,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_TAB_MODE">TAB_MODE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_TAB_MODE">TAB_MODE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1381,5 +1399,5 @@
 	    <div class="comments"></div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_UVALUE">UVALUE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_UVALUE">UVALUE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1396,5 +1414,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_XOFFSET">XOFFSET&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_XOFFSET">XOFFSET&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1411,5 +1429,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_XPAD">XPAD&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_XPAD">XPAD&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1428,5 +1446,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_XSIZE">XSIZE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_XSIZE">XSIZE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1442,5 +1460,5 @@
  The width of the base.</div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_X_SCROLL_SIZE">X_SCROLL_SIZE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_X_SCROLL_SIZE">X_SCROLL_SIZE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1457,5 +1475,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_YOFFSET">YOFFSET&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_YOFFSET">YOFFSET&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1472,5 +1490,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_YPAD">YPAD&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_YPAD">YPAD&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1489,5 +1507,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_YSIZE">YSIZE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_YSIZE">YSIZE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1504,5 +1522,5 @@
  </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_Y_SCROLL_SIZE">Y_SCROLL_SIZE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_Y_SCROLL_SIZE">Y_SCROLL_SIZE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1519,5 +1537,5 @@
 </div>
 	    
-	    <h4 id="_CW_BGROUP_keyword_UNAME">UNAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_cw_bgroup_keyword_UNAME">UNAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -1540,5 +1558,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: cw_bgroup.pro 150 2006-08-09 10:12:54Z navarro $
+ $Id: cw_bgroup.pro 157 2006-08-21 09:01:50Z navarro $
 </div>
 	  <h4>History</h4><div class="preformat">
@@ -1581,4 +1599,10 @@
 	  
 	
+	  <h3>Statistics</h3>
+	  <table class="statistics">
+	    <tr><td>McCabe cyclic</td><td>          41</td></tr>
+	    <tr><td>McCabe essential</td><td>           1</td></tr>
+	    <tr><td>McCabe modular design</td><td>           1</td></tr>
+	  </table>
 	  
 	