Index: /trunk/SRC/Documentation/xmldoc/main.html
===================================================================
--- /trunk/SRC/Documentation/xmldoc/main.html	(revision 163)
+++ /trunk/SRC/Documentation/xmldoc/main.html	(revision 164)
@@ -84,10 +84,11 @@
 </div>
 </div>
-<p>SAXO is a package (~400 routines, ~60 000 code lines) used to
-easily and quickly visualize and analyze models outputs or data
-observations. It is based on <a href="http://www.ittvis.com/idl/"
-target="_top"><span class="trademark">IDL</span>&trade;</a> and
-contains a Graphic User Interface. Developed in collaboration with
-<a href="http://www.lodyc.jussieu.fr/" target="_top">LOCEAN</a>
+<p><a name="whatissaxo_for_main" id="whatissaxo_for_main"></a> SAXO
+is a package (~400 routines, ~60 000 code lines) used to easily and
+quickly visualize and analyze models outputs or data observations.
+It is based on <a href="http://www.ittvis.com/idl/" target=
+"_top"><span class="trademark">IDL</span>&trade;</a> and contains a
+Graphic User Interface. Developed in collaboration with <a href=
+"http://www.lodyc.jussieu.fr/" target="_top">LOCEAN</a>
 researchers, it allows to explore four dimension data which may be
 gridded or irregularly spaced. It is particularly adapted to the
@@ -96,5 +97,6 @@
 addition to graphical procedures, interpolation modules and other
 things..., it contains a set of programs dedicated to oceanographic
-diagnostics. <a href="whatissaxo.html?format=raw" target=
+diagnostics.</p>
+<p><a href="whatissaxo.html?format=raw" target=
 "_top">More...</a></p>
 </div>
Index: /trunk/SRC/Documentation/xmldoc/main.xml
===================================================================
--- /trunk/SRC/Documentation/xmldoc/main.xml	(revision 163)
+++ /trunk/SRC/Documentation/xmldoc/main.xml	(revision 164)
@@ -32,6 +32,19 @@
 <sect1 id="whatissaxo">
 <title>What is SAXO</title>
+<xi:include href="./whatissaxo.xml"
+                 xpointer="whatissaxo_for_main" 
+                 parse="xml"
+      xmlns:xi="http://www.w3.org/2001/XInclude"/>
+<!-- je n'arrive pas à faire fonctionner la syntaxe xpath suivante comme dans
+http://www.zvon.org/xxl/XIncludeTutorial/Output/example12.html
+
+<xi:include href="./whatissaxo.xml"
+                 xpointer="element(/article/sect[1]/p[1])" 
+                 parse="xml"
+      xmlns:xi="http://www.w3.org/2001/XInclude"/>
+-->
+
 <para>
-SAXO is a package (~400 routines, ~60 000 code lines) used to easily and quickly visualize and analyze models outputs or data observations. It is based on <ulink url="http://www.ittvis.com/idl/"><trademark>IDL</trademark></ulink> and contains a Graphic User Interface. Developed in collaboration with <ulink url="http://www.lodyc.jussieu.fr/">LOCEAN</ulink> researchers, it allows to explore four dimension data which may be gridded or irregularly spaced. It is particularly adapted to the "Arakawa C grid" discretization used in <ulink url="http://www.lodyc.jussieu.fr/NEMO/">NEMO</ulink>. In addition to graphical procedures, interpolation modules and other things..., it contains a set of programs dedicated to oceanographic diagnostics. <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatissaxo.html?format=raw">More...</ulink> 
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatissaxo.html?format=raw">More...</ulink> 
 </para>
 </sect1>
Index: /trunk/SRC/Documentation/xmldoc/makehtml.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 163)
+++ /trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 164)
@@ -8,4 +8,6 @@
 # released on 1 September 2005) doesn't handle carriage returns
 #
+# fplod 2006-08-29T14:01:11Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add main which needs xmllint processing to resolve xinclude
 # fplod 2006-08-18T13:38:31Z aedon.locean-ipsl.upmc.fr (Darwin)
 # add faqsaxo which needs xmllint processing to resolve xinclude
@@ -256,5 +258,5 @@
       /bin/rm /tmp/rowscm.xml
    ;;
-   faqsaxo)
+   faqsaxo|main)
       # resolve xinclude 
       xmllint --xinclude \
Index: /trunk/SRC/Documentation/xmldoc/whatissaxo.html
===================================================================
--- /trunk/SRC/Documentation/xmldoc/whatissaxo.html	(revision 163)
+++ /trunk/SRC/Documentation/xmldoc/whatissaxo.html	(revision 164)
@@ -52,4 +52,12 @@
 <td align="left" colspan="2">First draft</td>
 </tr>
+<tr>
+<td align="left">Revision 0.1</td>
+<td align="left">August 2006</td>
+</tr>
+<tr>
+<td align="left" colspan="2">add introduction (previously in
+main.xml)</td>
+</tr>
 </table>
 </div>
@@ -60,7 +68,9 @@
 <p><b>Table of Contents</b></p>
 <dl>
-<dt><span class="sect1"><a href="#prerequisites">1.
+<dt><span class="sect1"><a href="#whatissaxo">1. What is
+SAXO</a></span></dt>
+<dt><span class="sect1"><a href="#prerequisites">2.
 Prerequisites</a></span></dt>
-<dt><span class="sect1"><a href="#include">2.
+<dt><span class="sect1"><a href="#include">3.
 Include</a></span></dt>
 </dl>
@@ -70,6 +80,30 @@
 <div>
 <div>
+<h2 class="title" style="clear: both"><a name="whatissaxo" id=
+"whatissaxo"></a>1.&nbsp;What is SAXO</h2>
+</div>
+</div>
+</div>
+<p><a name="whatissaxo_for_main" id="whatissaxo_for_main"></a> SAXO
+is a package (~400 routines, ~60 000 code lines) used to easily and
+quickly visualize and analyze models outputs or data observations.
+It is based on <a href="http://www.ittvis.com/idl/" target=
+"_top"><span class="trademark">IDL</span>&trade;</a> and contains a
+Graphic User Interface. Developed in collaboration with <a href=
+"http://www.lodyc.jussieu.fr/" target="_top">LOCEAN</a>
+researchers, it allows to explore four dimension data which may be
+gridded or irregularly spaced. It is particularly adapted to the
+"Arakawa C grid" discretization used in <a href=
+"http://www.lodyc.jussieu.fr/NEMO/" target="_top">NEMO</a>. In
+addition to graphical procedures, interpolation modules and other
+things..., it contains a set of programs dedicated to oceanographic
+diagnostics.</p>
+</div>
+<div class="sect1" lang="en">
+<div class="titlepage">
+<div>
+<div>
 <h2 class="title" style="clear: both"><a name="prerequisites" id=
-"prerequisites"></a>1.&nbsp;Prerequisites</h2>
+"prerequisites"></a>2.&nbsp;Prerequisites</h2>
 </div>
 </div>
@@ -88,5 +122,5 @@
 <div>
 <h2 class="title" style="clear: both"><a name="include" id=
-"include"></a>2.&nbsp;Include</h2>
+"include"></a>3.&nbsp;Include</h2>
 </div>
 </div>
Index: /trunk/SRC/Documentation/xmldoc/whatissaxo.xml
===================================================================
--- /trunk/SRC/Documentation/xmldoc/whatissaxo.xml	(revision 163)
+++ /trunk/SRC/Documentation/xmldoc/whatissaxo.xml	(revision 164)
@@ -1,5 +1,5 @@
 <?xml version='1.0' encoding='iso-8859-1'?>
 <!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
-"http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" 
+"http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd"
 []>
 <!--
@@ -22,7 +22,23 @@
         <revremark>First draft</revremark>
       </revision>
-    </revhistory>  
+      <revision>
+        <revnumber>0.1</revnumber>
+        <date>August 2006</date>
+        <revremark>add introduction (previously in main.xml)</revremark>
+      </revision>
+    </revhistory>
     <pubdate>$Id$</pubdate>
   </articleinfo>
+
+<sect1 id="whatissaxo">
+<title>What is SAXO</title>
+<para id="whatissaxo_for_main">
+SAXO is a package (~400 routines, ~60 000 code lines) used to easily and quickly visualize and analyze models outputs or data observations.
+It is based on <ulink url="http://www.ittvis.com/idl/"><trademark>IDL</trademark></ulink> and contains a Graphic User Interface.
+Developed in collaboration with <ulink url="http://www.lodyc.jussieu.fr/">LOCEAN</ulink> researchers, it allows to explore four dimension data which may be gridded or irregularly spaced.
+It is particularly adapted to the "Arakawa C grid" discretization used in <ulink url="http://www.lodyc.jussieu.fr/NEMO/">NEMO</ulink>.
+In addition to graphical procedures, interpolation modules and other things..., it contains a set of programs dedicated to oceanographic diagnostics.
+</para>
+</sect1>
 
 <sect1 id="prerequisites">